List files (Gemini format)

Lists uploaded files in Google Gemini API format.

GET
/genai/v1beta/files
AuthorizationBearer <token>

Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT. Virtual keys (prefixed with sk-bf-) can also be passed here.

In: header

Query Parameters

pageSize?integer

Maximum number of files to return

pageToken?string

Page token for pagination

Response Body

curl -X GET "https://loading/{AI_GATEWAY_URL}/genai/v1beta/files?pageSize=0&pageToken=string"
{
  "files": [
    {
      "name": "string",
      "displayName": "string",
      "mimeType": "string",
      "sizeBytes": "string",
      "createTime": "2019-08-24T14:15:22Z",
      "updateTime": "2019-08-24T14:15:22Z",
      "expirationTime": "2019-08-24T14:15:22Z",
      "sha256Hash": "string",
      "uri": "string",
      "state": "STATE_UNSPECIFIED",
      "error": {
        "code": 0,
        "message": "string"
      },
      "videoMetadata": {
        "videoDuration": "string"
      }
    }
  ],
  "nextPageToken": "string"
}
{
  "error": {
    "code": 0,
    "message": "string",
    "status": "string",
    "details": [
      {
        "@type": "string",
        "fieldViolations": [
          {
            "description": "string"
          }
        ]
      }
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "status": "string",
    "details": [
      {
        "@type": "string",
        "fieldViolations": [
          {
            "description": "string"
          }
        ]
      }
    ]
  }
}
On this page

On this page

No Headings